Reinforcement LShapeRebar/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Utilizzo ==")
(Created page with "# Creare un elemento Struttura # Selezionare una qualsiasi faccia della struttura # Selezionare {{KEY|16px Armatura a L}...")
Line 9: Line 9:
== Utilizzo ==
== Utilizzo ==


# Create a [[Arch Structure|structure]] element
# Creare un elemento [[Arch Structure/it|Struttura]]
# Selezionare una qualsiasi faccia della struttura
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} from the rebar tools
# Selezionare {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} dagli strumenti Armatura
# A task panel will pop-out on the left side of the screen as shown below [[Image:LShapeDialog.png|250px]]
# Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente [[Image:LShapeDialog.png]]
# Selezionare l'orientamento desiderato
# Select the desired orientation
# Give the inputs like front cover, left side cover, right side cover, bottom cover, top cover, rounding and diameter of the rebar
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
# Selezionare la modalità di distribuzione per la quantità e per la spaziatura
# Select the mode of distribution either amount or spacing
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Se la spaziatura è selezionata, l'utente può anche optare per una [[Custom_Spacing/it|spaziatura personalizzata]]
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
# Click {{KEY|Cancel}} to exit the task panel
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni


==Properties==
==Properties==

Revision as of 09:34, 11 February 2018

Armatura a L

Posizione nel menu
Arch → Strumenti armatura
Ambienti
Arch
Avvio veloce
None
Vedere anche
Armatura, Armatura dritta, Armatura a U, Armatura sagomata, Staffe armatura, Armatura elicoidale
 
Questo comando fa parte del Addon Reinforcement, che è possibile installare tramite il menu Strumenti → Addons Manager

Descrizione

Lo strumento Armatura a L consente all'utente di creare una barra di rinforzo piegata a L (un gancio) nell'elemento strutturale.

Utilizzo

  1. Creare un elemento Struttura
  2. Selezionare una qualsiasi faccia della struttura
  3. Selezionare Armatura a L dagli strumenti Armatura
  4. Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente
  5. Selezionare l'orientamento desiderato
  6. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Selezionare la modalità di distribuzione per la quantità e per la spaziatura
  8. Se la spaziatura è selezionata, l'utente può anche optare per una spaziatura personalizzata
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
  10. Cliccare OK o Apply per generare l'armatura
  11. Cliccare Cancel per uscire dal pannello delle azioni

Properties

  • DatiOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatiFront Cover: The distance between rebar and selected face.
  • DatiRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatiLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatiBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatiTop Cover: The distance between rebar from the top face of the structure.
  • DatiRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatiAmount: The amount of rebars.
  • DatiSpacing: The distance between the axes of each bar.

Scripting

The LShape Rebar tool can by used in macros and from the python console by using the following function:

makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
  • The LShape Rebar have four different orientations:
    • Bottom Right
    • Bottom Left
    • Top Right
    • Top Left
  • Adds a LShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating LShape rebar.

import Arch, LShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1")

Changing properties of LShape rebar.

import LShapeRebar
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")